#include "include/ttail.h"
#include "include/ttail_init.h"

int main(int argc, char **argv)
{
	int res;
	ttail_t *ttail;
	if(!(ttail = ttail_init(argc, argv)))
	{
		usage();
		return 1;
	}
	if(ttail_init_check(ttail) < 0)
	{
		usage();
		ttail_free(ttail);
		return 1;
	}
	res = ttail_search_closest(ttail);
	if(res < 0)
	{
		fprintf(stderr, "Error while searching through files\n");
		return 1;
	}
	else if (res == 1)
	{
		return 0; /* not found, no line to print */
	}
	ttail_search_print_res(ttail);
	ttail_free(ttail);
	return res;
}
